import { StorageStatisticsSegmentDto, StorageStatisticsSegmentUnboxedDto } from "../../../../statistics/storage/dtos/shared/StorageStatisticsSegmentDto";
import { UploadStatisticsDto, UploadStatisticsUnboxedDto } from "../../../../statistics/storage/dtos/shared/UploadStatisticsDto";
export interface StorageStatisticsDto {
    all: StorageStatisticsSegmentDto;
    caches: {
        [cacheId: string]: StorageStatisticsSegmentDto | undefined;
    };
    uploads: UploadStatisticsDto;
}
export interface StorageStatisticsUnboxedDto {
    all: StorageStatisticsSegmentUnboxedDto;
    caches: {
        [cacheId: string]: StorageStatisticsSegmentUnboxedDto | null;
    };
    uploads: UploadStatisticsUnboxedDto;
}
export declare namespace StorageStatisticsDto {
    const empty: StorageStatisticsDto;
    function combine(left: StorageStatisticsDto, right: StorageStatisticsDto): StorageStatisticsDto;
}
