import { StorageStatisticsSegmentDto, StorageStatisticsSegmentUnboxedDto } from "../../../../statistics/storage/dtos/shared/StorageStatisticsSegmentDto";
import { UploadStatisticsMimeRecord } from "../../../../statistics/storage/dtos/shared/UploadStatisticsMimeRecord";
import { BandwidthDto, BandwidthUnboxedDto } from "../../../../statistics/storage/dtos/shared/BandwidthDto";
export interface UploadStatisticsDto {
    all: StorageStatisticsSegmentDto;
    mime: UploadStatisticsMimeRecord<StorageStatisticsSegmentDto>;
    uploadBandwidth: BandwidthDto;
}
export interface UploadStatisticsUnboxedDto {
    all: StorageStatisticsSegmentUnboxedDto;
    mime: UploadStatisticsMimeRecord<StorageStatisticsSegmentUnboxedDto>;
    uploadBandwidth: BandwidthUnboxedDto;
}
export declare namespace UploadStatisticsDto {
    const empty: UploadStatisticsDto;
    function combine(left: UploadStatisticsDto, right: UploadStatisticsDto): UploadStatisticsDto;
}
