import { EpochMillis, MimeType } from "@upload-io/upload-shared-iso/common/model/Primitives";
import { BasicFileInfo } from "@upload-io/upload-shared-iso/statistics/storage/BasicFileInfo";

export interface TypedFileInfo<S = EpochMillis | undefined> extends BasicFileInfo<S> {
  mime: MimeType;
}

export namespace TypedFileInfo {
  export function hasSize(file: TypedFileInfo): file is TypedFileInfo<EpochMillis> {
    return file.created !== undefined;
  }
}
