import { BandwidthByEpochDto } from "@upload-io/upload-shared-iso";
import { BandwidthByEpochUnboxedDto } from "@upload-io/upload-shared-iso/statistics/storage/dtos/shared/BandwidthByEpochDto";

export interface BandwidthDto {
  daily: BandwidthByEpochDto;
  monthly: BandwidthByEpochDto;
}

export interface BandwidthUnboxedDto {
  daily: BandwidthByEpochUnboxedDto;
  monthly: BandwidthByEpochUnboxedDto;
}

export namespace BandwidthDto {
  export const empty: BandwidthDto = {
    daily: {},
    monthly: {}
  };
  export function combine(left: BandwidthDto, right: BandwidthDto): BandwidthDto {
    return {
      daily: BandwidthByEpochDto.combine(left.daily, right.daily),
      monthly: BandwidthByEpochDto.combine(left.monthly, right.monthly)
    };
  }
}
