import { EpochMillis, MimeType } from "../../common/model/Primitives";
import { BasicFileInfo } from "../../statistics/storage/BasicFileInfo";
export interface TypedFileInfo<S = EpochMillis | undefined> extends BasicFileInfo<S> {
    mime: MimeType;
}
export declare namespace TypedFileInfo {
    function hasSize(file: TypedFileInfo): file is TypedFileInfo<EpochMillis>;
}
