import { StorageStatisticsSegmentDto } from "../../statistics/storage/dtos/shared/StorageStatisticsSegmentDto";
import { UploadStatisticsDto } from "../../statistics/storage/dtos/shared/UploadStatisticsDto";
import { TypedFileInfo } from "../../statistics/storage/TypedFileInfo";
import { EpochMillis } from "../../common/model/Primitives";
import { NonEmptyArray } from "../../common/model/NonEmptyArray";
import { BasicFileInfo } from "../../statistics/storage/BasicFileInfo";
import { BandwidthDto } from "../../statistics/storage/dtos/shared/BandwidthDto";
export declare class UploadStatisticsCalculator {
    static calculateStatistics(newEvents: NonEmptyArray<TypedFileInfo>, valueMultiplier: 1 | -1): UploadStatisticsDto;
    static calculateBandwidth(bandwidthEvents: Array<BasicFileInfo<EpochMillis>>): BandwidthDto;
    static calculateStatisticsSegment(newEvents: NonEmptyArray<BasicFileInfo>, valueMultiplier: 1 | -1): StorageStatisticsSegmentDto;
    private static calculateBandwidthPerEpochUnit;
}
